/*
 * Kitzretter Version 002 by Sven Peitz http://www.rfidakkuscan.de 
// Ein Piezo Summer wird in einstellbaren Puls und Pausenzeiten angesteuert.
// Ausgangs Pin (Transistor) D2
// Poti fuer die Pausenlaenge an Pin A0
// Poti fue die Pulslaenge an Pin A1
//
 */
// Pin definition
const int piezoPin = 2;
int piezoState = LOW;

// Generally, you shuould use "unsigned long" for variables that hold time
// The value will quickly become too large for an int to store
unsigned long previousMillisPause = 0;        // will store last time Pause was updated
// The value will quickly become too large for an int to store
unsigned long previousMillisPuls = 0;        // will store last time Puls was updated
unsigned long intervalPause = 60000;           // interval at which to Pause (milliseconds)
unsigned long intervalPuls = 60000;           // interval at which to Puls (milliseconds)

int sensorPausePin = A0;    // select the input pin for the potentiometer Pause
int sensorPauseValue = 0;  // variable to store the value coming from the sensor
int sensorPulsPin = A1;    // select the input pin for the potentiometer Puls
int sensorPulsValue = 0;  // variable to store the value coming from the sensor

void setup() {
  // set the digital pin as output:
  pinMode(piezoPin, OUTPUT);
  // Debug: initialize serial:
  //Serial.begin(9600);
}

void loop() {
  // read the value from the sensor:
  sensorPauseValue = analogRead(sensorPausePin);
  sensorPulsValue = analogRead(sensorPulsPin);
  intervalPause = ((sensorPauseValue/ 20) * 60000); // 1024 Schritte / 20 * 60000ms ergibt ca. 0-60min Zeit
  intervalPuls = ((sensorPulsValue/ 20) * 60000); 
  //Zum Testen ohne Poti
  //intervalPause = 8000;
  //intervalPuls = 5000;
  
  //aktuelle ms in die variablen speichern
  unsigned long currentMillisPause = millis();
  unsigned long currentMillisPuls = millis();
 
 
  if((currentMillisPuls - previousMillisPuls >= intervalPuls) && (piezoState == LOW)) {
    previousMillisPuls = currentMillisPuls;   
    previousMillisPause = currentMillisPause; 
    piezoState = HIGH;
    //Debug Info
    //Serial.println("High");
   // set the State of the variable to Output Pin:
    digitalWrite(piezoPin, piezoState);
  }
 
  if((currentMillisPause - previousMillisPause >= intervalPause) && (piezoState == HIGH)) {
    
    previousMillisPause = currentMillisPause; 
    previousMillisPuls = currentMillisPuls;    
    piezoState = LOW;
    //Debug Info
    // Serial.println("LOW");
   // set the State of the variable to Output Pin:
    digitalWrite(piezoPin, piezoState);
  }
  

}
